Subject: RE: [SIP] Keeping paragraph numbering in 2543bis-02 consistent wi th RFC2543?

From: Jonathan Rosenberg <[email-masked]>
Date: Wed, 17 Jan 2001 01:35:56 -0500

The SIP MIB should reference rfc2543. When it revs to an RFC, we should rev
the MIB if needed. MIBs should always reference RFCs.

We are planning a significant rewrite of the SIP spec to improve readability
and completeness. This will make it impossible to maintain section and
paragraph references.

-Jonathan R.

---
Jonathan D. Rosenberg                       72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.cs.columbia.edu/~jdrosen         PHONE: (973) 952-5000
http://www.dynamicsoft.com

> -----Original Message-----
> From: Jean-Francois Mule [mailto:[email-masked]]
> Sent: Tuesday, January 16, 2001 5:01 PM
> To: [email-masked]
> Cc: [email-masked]; 'Joon Maeng'; 'Dave Walker'
> Subject: [SIP] Keeping paragraph numbering in 2543bis-02 
> consistent with
> RFC2543?
> 
> 
> The current draft of 2543bis does not keep the same paragraph 
> numbering as
> 2543.
> 
> While this is a very minor editorial comment, it might become 
> an issue for
> some I-D/upcoming rfcs whose paragraph references are going 
> to be outdated
> as soon as 2543bis gets published.  This will cause numerous 
> unnecessary
> editorial updates, in particular, for the sip protocol mib:  many MIB
> objects reference specific sections of 2543 (for e.g. 
> organization header
> definition, section 10.4 now 10.2 on retry timers and 
> counters, ...).  This
> might cause the unecessary revision of many MIB object 
> REFERENCE down the
> road...
> 
> Let alone the fact that many are working with bis these days 
> and when a
> reference pops up, it is a pain.
> Comments? Any suggestions of what document to reference in 
> the next rev of
> the SIP MIB I-D (the outdated but published RFC 2543 or the 
> current internet
> draft 2543bis-02)?
> 
> Jean-Francois Mule
> 
> _______________________________________________
> "This list is for continuing development of the SIP protocol.
> The sip-implementer's list is the place to discuss implementation,
> and to receive advice on understanding existing sip
> to subscribe to it, send mail to [email-masked] with
> "subscribe sip-implementors" in the body"
> 

_______________________________________________
This list is for continuing development of the SIP protocol.
The sip-implementer's list is the place to discuss implementation,
and to receive advice on understanding existing sip.
To subscribe to it, send mail to [email-masked] with
"subscribe sip-implementors" in the body.